<div class="ui one column stackable grid">
  <div class="column">
    <div class="ui message">
      <p class="header">
        ¿Como funciona los talleres?
      </p>

      <ul class="list">
        <li>Los talleres corresponden a las actividades realizadas durante las horas de tutoria.</li>
        <li>Solo podras cargar talleres el dia de la tutoria.</li>
        <li>Solo podras cargar mínimo un taller y un máximo de cinco talleres.</li>
      </ul>
    </div>
  </div>
</div>

<% if @class_works.present? %>
  <div class="ui two column stackable grid">
    <div class="four wide column">

      <%= teacher_subject_classwork_limit(@class_works, @group, @subject) %>

      <div class="ui fluid vertical steps">
        <% @class_works.each do |work| %>
          <div class="teacher-class-work-card completed step" data-class-work="<%= work.id %>">
            <div class="content">
              <div class="title">
                <%= work.title %>
              </div>
              <div class="description">
                ¿Haz cargado un archivo errado?<br>
                Haz clic <%= link_to 'Aqui', edit_teacher_subject_classworks_path(id: work.id, group_id: @group.id, subject_id: @subject.id), remote: true %>
                para editar el archivo.
              </div>
            </div>
          </div>
        <% end %>
      </div>
    </div>

    <div class="teacher-class-work-table-div twelve wide column" style="display: flex !important; align-items: center; justify-content: center">
      <div class="right-column-loader-div column">
        <div class="right-column-loader ui active text inline loader" style="display: none">Cargando...</div>
      </div>

      <div class="teacher-class-work-table-col column" style="display: none;">
        <%#= render 'teacher/subject/classworks/partials/uploads', locals: { class_work: @class_work } %>
      </div>
    </div>
  </div>
<% else %>
  <div class="ui one column stackable grid">
    <div class="column">
      <h3>
        Estimado tutor por favor haz click
        <a href="<%= new_teacher_subject_classworks_path(group_id: @group.id, subject_id: @subject.id) %>" data-remote="true" >AQUÍ</a>
        para cargar un taller.
      </h3>
    </div>
  </div>
<% end %>

<script>
  function hideShowSpinner(){
    $('.right-column-loader-div').show()
    $('.right-column-loader').show();
    $('.teacher-class-work-table-div').css("display", "flex")
    setTimeout(function (){
      $('.right-column-loader-div').hide()
      $('.right-column-loader').hide();
      $('.teacher-class-work-table-div').css("display", "")
    }, 1500)
  }

  $('.teacher-class-work-card').click(function (){
    $('.teacher-class-work-table-col').hide();
    $('.teacher-class-work-card').css("background-color","");
    $(this).css("background-color","#f3f4f5");

    hideShowSpinner()

    $.ajax({
      url: '/teacher/subject/classworks/uploads',
      method: 'GET',
      dataType: 'script',
      data: {
        search: $(this).data('class-work'),
        subject_id: <%= @subject.id %>,
        group_id: <%= @group.id %>
      }
    })
  })
</script>

<style>
  .teacher-class-work-card {
    cursor: pointer;
  }
</style>


